import { PickType } from '@nestjs/swagger';
import { Building } from 'src/objects/building/entities/building.entity';

export class BuildingSearchResponseDto extends PickType(Building, [
  'id',
  'displayName',
  'address',
  'color',
]) {
  constructor(obj: Partial<BuildingSearchResponseDto>) {
    super();
    Object.assign(this, obj);
  }
}
