import { PartialType, PickType } from '@nestjs/swagger';
import { Floor } from 'src/objects/building/entities/floor.entity';

export class BuildingFloorRequestDto extends PickType(Floor, [
  'displayName',
  'number',
  'plan',
]) {}

export class BuildingFloorUpdateRequestDto extends PartialType(
  BuildingFloorRequestDto,
) {}

export class CreateFloorRequestDto extends PickType(Floor, [
  'displayName',
  'number',
]) {}
