import { Module } from '@nestjs/common';
import { GroupModule } from 'src/objects/group/group.module';
import { UserModule } from 'src/objects/user/user.module';
import { AuthModule } from 'src/shared/auth/auth.module';
import { AppGroupController } from './app-group.controller';
import { AppGroupService } from './app-group.service';

@Module({
  imports: [GroupModule, UserModule, AuthModule],
  providers: [AppGroupService],
  controllers: [AppGroupController],
})
export class AppGroupModule {}
