import { ApiProperty } from '@nestjs/swagger';
import { IsString, MinLength } from 'class-validator';

export class BuildingSearchRequestDto {
  @ApiProperty()
  @IsString()
  @MinLength(2)
  searchTerm: string;
}
