import { ApiProperty, ApiPropertyOptional } from '@nestjs/swagger';
import { ConstructableDto } from 'src/shared/dto/constructable.dto';

export class UserLoginResponseDto extends ConstructableDto<UserLoginResponseDto> {
  @ApiProperty()
  access_token: string;

  @ApiPropertyOptional()
  refresh_token: string;

  @ApiProperty()
  expires_in: number;

  @ApiProperty()
  token_type: string;
}
